Index: uspace/lib/drv/generic/driver.c
===================================================================
--- uspace/lib/drv/generic/driver.c	(revision eb13ef8440f5e94338275db8fd83e4e513c82ab1)
+++ uspace/lib/drv/generic/driver.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
@@ -119,6 +119,6 @@
 static void driver_dev_add(ipc_call_t *icall)
 {
-	devman_handle_t dev_handle = IPC_GET_ARG1(icall);
-	devman_handle_t parent_fun_handle = IPC_GET_ARG2(icall);
+	devman_handle_t dev_handle = ipc_get_arg1(icall);
+	devman_handle_t parent_fun_handle = ipc_get_arg2(icall);
 
 	char *dev_name = NULL;
@@ -173,5 +173,5 @@
 static void driver_dev_remove(ipc_call_t *icall)
 {
-	devman_handle_t devh = IPC_GET_ARG1(icall);
+	devman_handle_t devh = ipc_get_arg1(icall);
 
 	fibril_mutex_lock(&devices_mutex);
@@ -206,5 +206,5 @@
 static void driver_dev_gone(ipc_call_t *icall)
 {
-	devman_handle_t devh = IPC_GET_ARG1(icall);
+	devman_handle_t devh = ipc_get_arg1(icall);
 
 	fibril_mutex_lock(&devices_mutex);
@@ -239,5 +239,5 @@
 static void driver_fun_online(ipc_call_t *icall)
 {
-	devman_handle_t funh = IPC_GET_ARG1(icall);
+	devman_handle_t funh = ipc_get_arg1(icall);
 
 	/*
@@ -274,5 +274,5 @@
 static void driver_fun_offline(ipc_call_t *icall)
 {
-	devman_handle_t funh = IPC_GET_ARG1(icall);
+	devman_handle_t funh = ipc_get_arg1(icall);
 
 	/*
@@ -343,10 +343,10 @@
 		async_get_call(&call);
 
-		if (!IPC_GET_IMETHOD(&call)) {
+		if (!ipc_get_imethod(&call)) {
 			async_answer_0(&call, EOK);
 			break;
 		}
 
-		switch (IPC_GET_IMETHOD(&call)) {
+		switch (ipc_get_imethod(&call)) {
 		case DRIVER_DEV_ADD:
 			driver_dev_add(&call);
@@ -385,5 +385,5 @@
 	 * the device to which the client connected.
 	 */
-	devman_handle_t handle = IPC_GET_ARG2(icall);
+	devman_handle_t handle = ipc_get_arg2(icall);
 
 	fibril_mutex_lock(&functions_mutex);
@@ -429,5 +429,5 @@
 		async_get_call(&call);
 
-		sysarg_t method = IPC_GET_IMETHOD(&call);
+		sysarg_t method = ipc_get_imethod(&call);
 
 		if (!method) {
@@ -483,5 +483,5 @@
 
 		/* get the method of the remote interface */
-		sysarg_t iface_method_idx = IPC_GET_ARG1(&call);
+		sysarg_t iface_method_idx = ipc_get_arg1(&call);
 		remote_iface_func_ptr_t iface_method_ptr =
 		    get_remote_method(rem_iface, iface_method_idx);
Index: uspace/lib/drv/generic/remote_ieee80211.c
===================================================================
--- uspace/lib/drv/generic/remote_ieee80211.c	(revision eb13ef8440f5e94338275db8fd83e4e513c82ab1)
+++ uspace/lib/drv/generic/remote_ieee80211.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
@@ -276,5 +276,5 @@
 	memset(&scan_results, 0, sizeof(ieee80211_scan_results_t));
 
-	bool now = IPC_GET_ARG2(call);
+	bool now = ipc_get_arg2(call);
 
 	errno_t rc = ieee80211_iface->get_scan_results(fun, &scan_results, now);
Index: uspace/lib/drv/generic/remote_nic.c
===================================================================
--- uspace/lib/drv/generic/remote_nic.c	(revision eb13ef8440f5e94338275db8fd83e4e513c82ab1)
+++ uspace/lib/drv/generic/remote_nic.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
@@ -1010,5 +1010,5 @@
 	async_wait_for(message_id, &res);
 
-	*id = IPC_GET_ARG1(&result);
+	*id = ipc_get_arg1(&result);
 	return res;
 }
@@ -1385,5 +1385,5 @@
 	assert(nic_iface->set_state);
 
-	nic_device_state_t state = (nic_device_state_t) IPC_GET_ARG2(call);
+	nic_device_state_t state = (nic_device_state_t) ipc_get_arg2(call);
 
 	errno_t rc = nic_iface->set_state(dev, state);
@@ -1569,7 +1569,7 @@
 	}
 
-	int speed = (int) IPC_GET_ARG2(call);
-	nic_channel_mode_t duplex = (nic_channel_mode_t) IPC_GET_ARG3(call);
-	nic_role_t role = (nic_role_t) IPC_GET_ARG4(call);
+	int speed = (int) ipc_get_arg2(call);
+	nic_channel_mode_t duplex = (nic_channel_mode_t) ipc_get_arg3(call);
+	nic_role_t role = (nic_role_t) ipc_get_arg4(call);
 
 	errno_t rc = nic_iface->set_operation_mode(dev, speed, duplex, role);
@@ -1586,5 +1586,5 @@
 	}
 
-	uint32_t advertisement = (uint32_t) IPC_GET_ARG2(call);
+	uint32_t advertisement = (uint32_t) ipc_get_arg2(call);
 
 	errno_t rc = nic_iface->autoneg_enable(dev, advertisement);
@@ -1664,7 +1664,7 @@
 	}
 
-	int allow_send = (int) IPC_GET_ARG2(call);
-	int allow_receive = (int) IPC_GET_ARG3(call);
-	uint16_t pause = (uint16_t) IPC_GET_ARG4(call);
+	int allow_send = (int) ipc_get_arg2(call);
+	int allow_receive = (int) ipc_get_arg3(call);
+	uint16_t pause = (uint16_t) ipc_get_arg4(call);
 
 	errno_t rc = nic_iface->set_pause(dev, allow_send, allow_receive,
@@ -1682,5 +1682,5 @@
 	}
 
-	size_t max_count = IPC_GET_ARG2(call);
+	size_t max_count = ipc_get_arg2(call);
 	nic_address_t *address_list = NULL;
 
@@ -1733,6 +1733,6 @@
 
 	size_t length;
-	nic_unicast_mode_t mode = IPC_GET_ARG2(call);
-	size_t address_count = IPC_GET_ARG3(call);
+	nic_unicast_mode_t mode = ipc_get_arg2(call);
+	size_t address_count = ipc_get_arg3(call);
 	nic_address_t *address_list = NULL;
 
@@ -1785,5 +1785,5 @@
 	}
 
-	size_t max_count = IPC_GET_ARG2(call);
+	size_t max_count = ipc_get_arg2(call);
 	nic_address_t *address_list = NULL;
 
@@ -1835,6 +1835,6 @@
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 
-	nic_multicast_mode_t mode = IPC_GET_ARG2(call);
-	size_t address_count = IPC_GET_ARG3(call);
+	nic_multicast_mode_t mode = ipc_get_arg2(call);
+	size_t address_count = ipc_get_arg3(call);
 	nic_address_t *address_list = NULL;
 
@@ -1903,5 +1903,5 @@
 	}
 
-	nic_broadcast_mode_t mode = IPC_GET_ARG2(call);
+	nic_broadcast_mode_t mode = ipc_get_arg2(call);
 
 	errno_t rc = nic_iface->broadcast_set_mode(dev, mode);
@@ -1933,5 +1933,5 @@
 	}
 
-	uint32_t mode = IPC_GET_ARG2(call);
+	uint32_t mode = ipc_get_arg2(call);
 
 	errno_t rc = nic_iface->defective_set_mode(dev, mode);
@@ -1948,5 +1948,5 @@
 	}
 
-	size_t max_count = IPC_GET_ARG2(call);
+	size_t max_count = ipc_get_arg2(call);
 	nic_address_t *address_list = NULL;
 
@@ -1998,5 +1998,5 @@
 
 	size_t length;
-	size_t address_count = IPC_GET_ARG2(call);
+	size_t address_count = ipc_get_arg2(call);
 	nic_address_t *address_list = NULL;
 
@@ -2081,5 +2081,5 @@
 	nic_vlan_mask_t vlan_mask;
 	nic_vlan_mask_t *vlan_mask_pointer = NULL;
-	bool vlan_mask_set = (bool) IPC_GET_ARG2(call);
+	bool vlan_mask_set = (bool) ipc_get_arg2(call);
 
 	if (vlan_mask_set) {
@@ -2124,7 +2124,7 @@
 	}
 
-	uint16_t tag = (uint16_t) IPC_GET_ARG2(call);
-	bool add = (int) IPC_GET_ARG3(call);
-	bool strip = (int) IPC_GET_ARG4(call);
+	uint16_t tag = (uint16_t) ipc_get_arg2(call);
+	bool add = (int) ipc_get_arg3(call);
+	bool strip = (int) ipc_get_arg4(call);
 
 	errno_t rc = nic_iface->vlan_set_tag(dev, tag, add, strip);
@@ -2137,5 +2137,5 @@
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 
-	int send_data = (int) IPC_GET_ARG3(call);
+	int send_data = (int) ipc_get_arg3(call);
 	ipc_call_t data;
 
@@ -2175,5 +2175,5 @@
 
 	nic_wv_id_t id = 0;
-	nic_wv_type_t type = (nic_wv_type_t) IPC_GET_ARG2(call);
+	nic_wv_type_t type = (nic_wv_type_t) ipc_get_arg2(call);
 
 	errno_t rc = nic_iface->wol_virtue_add(dev, type, virtue, length, &id);
@@ -2192,5 +2192,5 @@
 	}
 
-	nic_wv_id_t id = (nic_wv_id_t) IPC_GET_ARG2(call);
+	nic_wv_id_t id = (nic_wv_id_t) ipc_get_arg2(call);
 
 	errno_t rc = nic_iface->wol_virtue_remove(dev, id);
@@ -2208,6 +2208,6 @@
 	}
 
-	nic_wv_id_t id = (nic_wv_id_t) IPC_GET_ARG2(call);
-	size_t max_length = IPC_GET_ARG3(call);
+	nic_wv_id_t id = (nic_wv_id_t) ipc_get_arg2(call);
+	size_t max_length = ipc_get_arg3(call);
 	nic_wv_type_t type = NIC_WV_NONE;
 	size_t length = 0;
@@ -2259,6 +2259,6 @@
 	}
 
-	nic_wv_type_t type = (nic_wv_type_t) IPC_GET_ARG2(call);
-	size_t max_count = IPC_GET_ARG3(call);
+	nic_wv_type_t type = (nic_wv_type_t) ipc_get_arg2(call);
+	size_t max_count = ipc_get_arg3(call);
 	size_t count = 0;
 	nic_wv_id_t *id_list = NULL;
@@ -2310,5 +2310,5 @@
 
 	int count = -1;
-	nic_wv_type_t type = (nic_wv_type_t) IPC_GET_ARG2(call);
+	nic_wv_type_t type = (nic_wv_type_t) ipc_get_arg2(call);
 
 	errno_t rc = nic_iface->wol_virtue_get_caps(dev, type, &count);
@@ -2325,5 +2325,5 @@
 	}
 
-	size_t max_length = (size_t) IPC_GET_ARG2(call);
+	size_t max_length = (size_t) ipc_get_arg2(call);
 	size_t frame_length = 0;
 	nic_wv_type_t type = NIC_WV_NONE;
@@ -2386,6 +2386,6 @@
 	}
 
-	uint32_t mask = (uint32_t) IPC_GET_ARG2(call);
-	uint32_t active = (uint32_t) IPC_GET_ARG3(call);
+	uint32_t mask = (uint32_t) ipc_get_arg2(call);
+	uint32_t active = (uint32_t) ipc_get_arg3(call);
 
 	errno_t rc = nic_iface->offload_set(dev, mask, active);
@@ -2403,5 +2403,5 @@
 
 	nic_poll_mode_t mode = NIC_POLL_IMMEDIATE;
-	int request_data = IPC_GET_ARG2(call);
+	int request_data = ipc_get_arg2(call);
 	struct timespec period = {
 		.tv_sec = 0,
@@ -2438,6 +2438,6 @@
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 
-	nic_poll_mode_t mode = IPC_GET_ARG2(call);
-	int has_period = IPC_GET_ARG3(call);
+	nic_poll_mode_t mode = ipc_get_arg2(call);
+	int has_period = ipc_get_arg3(call);
 	struct timespec period_buf;
 	struct timespec *period = NULL;
Index: uspace/lib/drv/generic/remote_usbhc.c
===================================================================
--- uspace/lib/drv/generic/remote_usbhc.c	(revision eb13ef8440f5e94338275db8fd83e4e513c82ab1)
+++ uspace/lib/drv/generic/remote_usbhc.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
@@ -221,5 +221,5 @@
 
 	if (transferred)
-		*transferred = IPC_GET_ARG1(&call);
+		*transferred = ipc_get_arg1(&call);
 
 	return (errno_t) opening_request_rc;
@@ -265,5 +265,5 @@
 	}
 
-	const bool reserve = IPC_GET_ARG2(call);
+	const bool reserve = ipc_get_arg2(call);
 	const errno_t ret = usbhc_iface->default_address_reservation(fun, reserve);
 	async_answer_0(call, ret);
Index: uspace/lib/drv/generic/remote_usbhid.c
===================================================================
--- uspace/lib/drv/generic/remote_usbhid.c	(revision eb13ef8440f5e94338275db8fd83e4e513c82ab1)
+++ uspace/lib/drv/generic/remote_usbhid.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
@@ -190,5 +190,5 @@
 		return (errno_t) opening_request_rc;
 
-	size_t act_size = IPC_GET_ARG2(&data_request_call);
+	size_t act_size = ipc_get_arg2(&data_request_call);
 
 	/* Copy the individual items. */
@@ -199,5 +199,5 @@
 
 	if (event_nr != NULL)
-		*event_nr = IPC_GET_ARG1(&opening_request_call);
+		*event_nr = ipc_get_arg1(&opening_request_call);
 
 	return EOK;
@@ -275,5 +275,5 @@
 		return (errno_t) opening_request_rc;
 
-	size_t act_size = IPC_GET_ARG2(&data_request_call);
+	size_t act_size = ipc_get_arg2(&data_request_call);
 
 	if (actual_size != NULL)
